Info
2 API calls in this section.
List Restaurants
Public APIs / Public / Info
GET
/public/restaurantsBrowse public restaurant listings with search, language and pagination options.
Query parameters
| Parameter | Type | Description |
|---|---|---|
search | string | Example: |
page | string | Example: |
limit | string | Example: |
lang | string | Example: |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurants?search=${SEARCH}&page=${PAGE}&limit=${LIMIT}&lang=${LANG}"Response examples
No saved response example. Use Try it to inspect a staging response.
Get Restaurant Info
Public APIs / Public / Info
GET
/public/restaurant/:slug/infoLoad the public information for the restaurant identified by its slug.
Path parameters
| Parameter | Type | Description |
|---|---|---|
slugRequired | string | Dynamic path value from the request URL. |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/info"Response examples
No saved response example. Use Try it to inspect a staging response.